to select ↑↓ to navigate
Lending

Lending

Open in ChatGPT
Ask ChatGPT about this page
Open in Claude
Ask Claude about this page

Bulk Update Loan Security Prices

Using this api endpoint user can update multiple loan security prices. It is recommended to update in batches of 500 in a single request

Endpoint: PUT /api/method/lending.api.update_loan_security_price

Request Body

{
    "data": {
        "Test Security 1": {
            "loan_security_price": 700,
            "valid_from": "2026-03-01",
            "valid_upto": "2026-03-04"
        },
        "Test Security 2": {
            "loan_security_price": 1000,
            "valid_from": "2026-03-01",
            "valid_upto": "2026-03-04"
        }
    }
}

Response

{
    "message": "Loan Security Prices updated successfully"
}
Last updated 3 months ago
Was this helpful?
Thanks!